GET /organizations/{organizationId}/devices
Operation ID: getOrganizationDevices
Auth: unknown
Description
List the devices in an organization
Parameters (18)
(string, query, optional)
Filter results by whether or not the device's configuration has been updated after the given timestamp
(string, query, optional)
A token used by the server to indicate the end of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.
(string, query, optional)
Optional parameter to filter devices by MAC address. All returned devices will have a MAC address that contains the search term or is an exact match.
(array, query, optional)
Optional parameter to filter devices by one or more MAC addresses. All returned devices will have a MAC address that is an exact match.
(string, query, optional)
Optional parameter to filter devices by model. All returned devices will have a model that contains the search term or is an exact match.
(array, query, optional)
Optional parameter to filter devices by one or more models. All returned devices will have a model that is an exact match.
(string, query, optional)
Optional parameter to filter devices by name. All returned devices will have a name that contains the search term or is an exact match.
(array, query, optional)
Optional parameter to filter devices by network.
(string, path, required)
(integer, query, optional)
The number of entries per page returned. Acceptable range is 3 - 1000. Default is 1000.
(array, query, optional)
Optional parameter to filter devices by product type. Valid types are wireless, appliance, switch, systemsManager, camera, cellularGateway, and sensor.
(array, query, optional)
Optional parameter to filter devices by the alert profiles that are bound to them. Only applies to sensor devices.
(array, query, optional)
Optional parameter to filter devices by the metrics that they provide. Only applies to sensor devices.
(string, query, optional)
Optional parameter to filter devices by serial number. All returned devices will have a serial number that contains the search term or is an exact match.
(array, query, optional)
Optional parameter to filter devices by one or more serial numbers. All returned devices will have a serial number that is an exact match.
(string, query, optional)
A token used by the server to indicate the start of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.
(array, query, optional)
Optional parameter to filter devices by tags.
(string, query, optional)
Optional parameter of value 'withAnyTags' or 'withAllTags' to indicate whether to return networks which contain ANY or ALL of the included tags. If no type is included, 'withAnyTags' will be selected.
Constraints: {'enum': ['withAllTags', 'withAnyTags']}
No probe data for this endpoint yet.